/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { ApiKeyDescription } from "./ApiKeyDescription";
import type { FileTagName } from "./FileTagName";
import type { FolderPath } from "./FolderPath";
import type { PathPermissionList } from "./PathPermissionList";
import type { TagPermissions } from "./TagPermissions";

/**
 * Api key creation request.
 */
export type CreateApiKey = {
  automaticTags: Array<FileTagName>;
  /**
   * Destination folder for file uploads that either don't specify a file path, or specify a relative file path.
   */
  defaultFolder: FolderPath;
  description: ApiKeyDescription;
  pathPermissions: PathPermissionList;
  /**
   * Redundant for secret keys as is never inspected for them, so don't display in UI.
   */
  requireJWT: boolean;
  tagPermissions: TagPermissions;
};
